version: '3'

services:
  mariadb:
    image: mariadb:latest
    volumes:
      - ./docker/database/init:/docker-entrypoint-initdb.d
      - ./docker/database/data:/var/lib/mysql
    ports:
      - "${DB_HOST_PORT:-3306}:${DB_PORT:-3306}"
    environment:
      - MYSQL_ROOT_PASSWORD=docker

  php-restng:
    image: registry.gitlab.com/miamioh/uit/operations/build-images-pipeline/php:7.3-fpm${DEBUG_PHP:-}
    volumes:
      - .:/var/www/restng
      - ./docker/logs/restng:/var/log/restng
    depends_on:
      - mariadb
    working_dir: /var/www/restng

  nginx:
    build:
      dockerfile: ./docker/nginx/Dockerfile
      context: .
    volumes:
      - ./www:/var/www/restng/www
      - ./docker/logs/nginx:/var/log/nginx
    ports:
      - "80:80"
      - "443:443"
    depends_on:
      - php-restng
